=== debian/changelog ===
compiz-boxmenu (1.1.12-7build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:38:09 +1100

compiz-boxmenu (1.1.12-7build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:07:08 +0000

compiz-boxmenu (1.1.12-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Remove .git from end of gitlab URL in Homepage field
  * control: Make Multi-Arch: foreign.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 22:57:21 +0100

compiz-boxmenu (1.1.12-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Jan 2022 17:49:02 +0100

compiz-boxmenu (1.1.12-5) unstable; urgency=medium

  * control: Bump Standards-Version to 4.5.0 (no change).
  * Bump debhelper from 11 to 12.
  * watch: Update URL.
  * patches/flags: Fix passing hardening flags.
  * patches/desktop: Fix .desktop category.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 17:00:47 +0100

compiz-boxmenu (1.1.12-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * patches/cross.patch: Fix FTCBFS (Closes: Bug#959809).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 May 2020 12:26:11 +0200

compiz-boxmenu (1.1.12-3) unstable; urgency=medium

  * patches/clang: Fix build with clang.
  * patches/python3: Add python3 support (Closes: Bug#939491).
  * patches/gerror: Fix accessing GError.
  * control: Drop unused python-dev build-dep. Add missing python and gir
    dependencies.
  * rules: Set PYTHONBIN to /usr/bin/python3.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 04 May 2020 13:11:57 +0200

compiz-boxmenu (1.1.12-2) unstable; urgency=medium

  * copyright: Factorize GPL-2+ paragraph.
  * watch: Generalize pattern.
  * watch: switch to gitlab
  * Update usptream URL
  * patches/gtk3: Migrate to gtk3.
  * control: Replace libgtk2.0-dev, libwnck-dev build-dependencies with
    libgtk-3-dev, libwnck-3-dev.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Apr 2020 12:39:38 +0200

compiz-boxmenu (1.1.12-1) unstable; urgency=medium

  * Initial release (Closes: Bug#928987, Bug#857116)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Jun 2019 21:22:49 +0200
