=== debian/control ===
Source: compiz-boxmenu
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 13),
               libdbus-glib-1-dev,
	       libgtk-3-dev,
	       libwnck-3-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://gitlab.com/compiz/compiz-boxmenu
Vcs-Git: https://salsa.debian.org/compiz-team/compiz-boxmenu.git
Vcs-Browser: https://salsa.debian.org/compiz-team/compiz-boxmenu

Package: compiz-boxmenu
Architecture: any
Multi-Arch: foreign
Depends: python3, python3-gi, gir1.2-gtk-3.0, gir1.2-glib-2.0,
         python3-lxml, python3-xdg, ${shlibs:Depends}, ${misc:Depends}
Description: Compiz Reloaded - daemon and clients providing pop-up menus
 Boxmenu provides a number of different menus to the compositing window
 manager Compiz and possibly to other window managers as well.
 .
 It is composed of a daemon that caches the different menus from various
 sources, following desktop standards and a number of clients to ask
 the daemon for a specific type of menu, clients that can be bound to
 different key-chords and mouse events using the Compizconfig Settings
 Manager.
 .
 The components are compiz-boxmenu, compiz-boxmenu-editor, a menu editor
 and compiz-boxmenu-{daemon,dlist,dplist,vplist,wlist}, where the
 specialized clients are respectively for recent documents, desktops,
 viewports and windows.
