=== debian/watch ===
version=3
https://gitlab.com/compiz/compiz-boxmenu/-/tags \
/compiz/compiz-boxmenu/.*/compiz-boxmenu-v?@ANY_VERSION@@ARCHIVE_EXT@
